function isObjectWithType(data) {
    if (typeof data !== 'object' || data === null)
        return false;
    return 'type' in data;
}
export function isHmrDataInbound(data) {
    if (!isObjectWithType(data))
        return false;
    return data.type === 'fetch' || data.type === 'register';
}
export function isHmrDataOutbound(data) {
    if (!isObjectWithType(data))
        return false;
    return ['update', 'module-update', 'module-delete', 'error', 'auth-response'].includes(data.type);
}
//# sourceMappingURL=hmrData.js.map